* {
  box-sizing: border-box;
}

html,
body {
  padding: 0;
  margin: 0;
  overflow: initial !important;
}

/* This is a temprarly, require to config webpack to allow upload .css files */
.react-resizable-handle {
  position: absolute;
  width: 20px;
  height: 20px;
  bottom: 0;
  right: 0;
  padding: 0 3px 3px 0;
  box-sizing: border-box;
  cursor: se-resize;
  background-repeat: no-repeat;
  background-origin: content-box;
  background-position: bottom right;
}

.selected-day {
  background-color: #add8e6 !important;
}

.react-grid-layout {
  position: relative;
  transition: height 200ms ease;
}
.react-grid-item {
  transition: all 200ms ease;
  transition-property: left, top;
}
.react-grid-item img {
  pointer-events: none;
  user-select: none;
}
.react-grid-item.cssTransforms {
  transition-property: transform;
}
.react-grid-item.resizing {
  z-index: 1;
  will-change: width, height;
}

.react-grid-item.react-draggable-dragging {
  transition: none;
  z-index: 3;
  will-change: transform;
}

.react-grid-item.dropping {
  visibility: hidden;
}

.react-grid-item.react-grid-placeholder {
  background: red;
  opacity: 0.2;
  transition-duration: 100ms;
  z-index: 2;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  -o-user-select: none;
  user-select: none;
}

.react-grid-item > .react-resizable-handle {
  position: absolute;
  width: 20px;
  height: 20px;
}

.react-grid-item > .react-resizable-handle::after {
  content: '';
  position: absolute;
  right: 3px;
  bottom: 3px;
  width: 5px;
  height: 5px;
  border-right: 2px solid rgba(0, 0, 0, 0.4);
  border-bottom: 2px solid rgba(0, 0, 0, 0.4);
}

.react-resizable-hide > .react-resizable-handle {
  display: none !important;
}

.react-grid-item > .react-resizable-handle.react-resizable-handle-sw {
  bottom: 0;
  left: 0;
  cursor: sw-resize;
  transform: rotate(90deg);
}
.react-grid-item > .react-resizable-handle.react-resizable-handle-se {
  bottom: 0;
  right: 0;
  cursor: se-resize;
}
.react-grid-item > .react-resizable-handle.react-resizable-handle-nw {
  top: 0;
  left: 0;
  cursor: nw-resize;
  transform: rotate(180deg);
}
.react-grid-item > .react-resizable-handle.react-resizable-handle-ne {
  top: 0;
  right: 0;
  cursor: ne-resize;
  transform: rotate(270deg);
}
.react-grid-item > .react-resizable-handle.react-resizable-handle-w,
.react-grid-item > .react-resizable-handle.react-resizable-handle-e {
  top: 50%;
  margin-top: -10px;
  cursor: ew-resize;
}
.react-grid-item > .react-resizable-handle.react-resizable-handle-w {
  left: 0;
  transform: rotate(135deg);
}
.react-grid-item > .react-resizable-handle.react-resizable-handle-e {
  right: 0;
  transform: rotate(315deg);
}
.react-grid-item > .react-resizable-handle.react-resizable-handle-n,
.react-grid-item > .react-resizable-handle.react-resizable-handle-s {
  left: 50%;
  margin-left: -10px;
  cursor: ns-resize;
}
.react-grid-item > .react-resizable-handle.react-resizable-handle-n {
  top: 0;
  transform: rotate(225deg);
}
.react-grid-item > .react-resizable-handle.react-resizable-handle-s {
  bottom: 0;
  transform: rotate(45deg);
}

.react-resizable {
  position: relative;
}

.react-resizable-handle-sw {
  bottom: 0;
  left: 0;
  cursor: sw-resize;
  transform: rotate(90deg);
}
.react-resizable-handle-se {
  bottom: 0;
  right: 0;
  cursor: se-resize;
}
.react-resizable-handle-nw {
  top: 0;
  left: 0;
  cursor: nw-resize;
  transform: rotate(180deg);
}
.react-resizable-handle-ne {
  top: 0;
  right: 0;
  cursor: ne-resize;
  transform: rotate(270deg);
}
.react-resizable-handle-w,
.react-resizable-handle-e {
  top: 50%;
  margin-top: -10px;
  cursor: ew-resize;
}
.react-resizable-handle-w {
  left: 0;
  transform: rotate(135deg);
}
.react-resizable-handle-e {
  right: 0;
  transform: rotate(315deg);
}
.react-resizable-handle-n,
.react-resizable-handle-s {
  left: 50%;
  margin-left: -10px;
  cursor: ns-resize;
}
.react-resizable-handle-n {
  top: 0;
  transform: rotate(225deg);
}
.react-resizable-handle-s {
  bottom: 0;
  transform: rotate(45deg);
}
.icon-picker {
  display: inline-block;
  text-align: left;
  width: 100%;
  height: 100%;
}

form .nosubmit {
  border: none;
  padding: 0;
}

input.nosubmit {
  border: 1px solid #555;
  border-radius: 10px;
  width: 100%;
  padding: 9px 4px 9px 40px;
  background: transparent;
}

.icon-picker .pick-box-container {
  display: flex;
}
.pick-box {
  position: absolute;
  top: 100%;
  padding: 8px;
  left: 0;
  width: 400px;
  background-color: #fff;
  border: 1px solid #ccc;
  border-radius: 4px;
  z-index: 1;
}

.icon-list .icon-item {
  display: inline-block;
  cursor: pointer;
  margin: 4px;
  background-color: rgb(241, 241, 241);
  width: 32px;
  height: 32px;
  text-align: center;
  border-radius: 4px;
}
.icon-list .icon-item:hover {
  color: #e69e41;
  background-color: #0e0d0d;
}

.icon-item .icon {
  line-height: 32px;
  display: inline-block;
}

.react-tel-input {
  font-family: 'Roboto', sans-serif;
  font-size: 15px;
  position: relative;
  width: 100%;
}
.react-tel-input :disabled {
  cursor: not-allowed;
}
.react-tel-input .flag {
  width: 16px;
  height: 11px;
}
.react-tel-input .ad {
  background-position: -16px 0;
}
.react-tel-input .ae {
  background-position: -32px 0;
}
.react-tel-input .af {
  background-position: -48px 0;
}
.react-tel-input .ag {
  background-position: -64px 0;
}
.react-tel-input .ai {
  background-position: -80px 0;
}
.react-tel-input .al {
  background-position: -96px 0;
}
.react-tel-input .am {
  background-position: -112px 0;
}
.react-tel-input .ao {
  background-position: -128px 0;
}
.react-tel-input .ar {
  background-position: -144px 0;
}
.react-tel-input .as {
  background-position: -160px 0;
}
.react-tel-input .at {
  background-position: -176px 0;
}
.react-tel-input .au {
  background-position: -192px 0;
}
.react-tel-input .aw {
  background-position: -208px 0;
}
.react-tel-input .az {
  background-position: -224px 0;
}
.react-tel-input .ba {
  background-position: -240px 0;
}
.react-tel-input .bb {
  background-position: 0 -11px;
}
.react-tel-input .bd {
  background-position: -16px -11px;
}
.react-tel-input .be {
  background-position: -32px -11px;
}
.react-tel-input .bf {
  background-position: -48px -11px;
}
.react-tel-input .bg {
  background-position: -64px -11px;
}
.react-tel-input .bh {
  background-position: -80px -11px;
}
.react-tel-input .bi {
  background-position: -96px -11px;
}
.react-tel-input .bj {
  background-position: -112px -11px;
}
.react-tel-input .bm {
  background-position: -128px -11px;
}
.react-tel-input .bn {
  background-position: -144px -11px;
}
.react-tel-input .bo {
  background-position: -160px -11px;
}
.react-tel-input .br {
  background-position: -176px -11px;
}
.react-tel-input .bs {
  background-position: -192px -11px;
}
.react-tel-input .bt {
  background-position: -208px -11px;
}
.react-tel-input .bw {
  background-position: -224px -11px;
}
.react-tel-input .by {
  background-position: -240px -11px;
}
.react-tel-input .bz {
  background-position: 0 -22px;
}
.react-tel-input .ca {
  background-position: -16px -22px;
}
.react-tel-input .cd {
  background-position: -32px -22px;
}
.react-tel-input .cf {
  background-position: -48px -22px;
}
.react-tel-input .cg {
  background-position: -64px -22px;
}
.react-tel-input .ch {
  background-position: -80px -22px;
}
.react-tel-input .ci {
  background-position: -96px -22px;
}
.react-tel-input .ck {
  background-position: -112px -22px;
}
.react-tel-input .cl {
  background-position: -128px -22px;
}
.react-tel-input .cm {
  background-position: -144px -22px;
}
.react-tel-input .cn {
  background-position: -160px -22px;
}
.react-tel-input .co {
  background-position: -176px -22px;
}
.react-tel-input .cr {
  background-position: -192px -22px;
}
.react-tel-input .cu {
  background-position: -208px -22px;
}
.react-tel-input .cv {
  background-position: -224px -22px;
}
.react-tel-input .cw {
  background-position: -240px -22px;
}
.react-tel-input .cy {
  background-position: 0 -33px;
}
.react-tel-input .cz {
  background-position: -16px -33px;
}
.react-tel-input .de {
  background-position: -32px -33px;
}
.react-tel-input .dj {
  background-position: -48px -33px;
}
.react-tel-input .dk {
  background-position: -64px -33px;
}
.react-tel-input .dm {
  background-position: -80px -33px;
}
.react-tel-input .do {
  background-position: -96px -33px;
}
.react-tel-input .dz {
  background-position: -112px -33px;
}
.react-tel-input .ec {
  background-position: -128px -33px;
}
.react-tel-input .ee {
  background-position: -144px -33px;
}
.react-tel-input .eg {
  background-position: -160px -33px;
}
.react-tel-input .er {
  background-position: -176px -33px;
}
.react-tel-input .es {
  background-position: -192px -33px;
}
.react-tel-input .et {
  background-position: -208px -33px;
}
.react-tel-input .fi {
  background-position: -224px -33px;
}
.react-tel-input .fj {
  background-position: -240px -33px;
}
.react-tel-input .fk {
  background-position: 0 -44px;
}
.react-tel-input .fm {
  background-position: -16px -44px;
}
.react-tel-input .fo {
  background-position: -32px -44px;
}
.react-tel-input .fr,
.react-tel-input .bl,
.react-tel-input .mf {
  background-position: -48px -44px;
}
.react-tel-input .ga {
  background-position: -64px -44px;
}
.react-tel-input .gb {
  background-position: -80px -44px;
}
.react-tel-input .gd {
  background-position: -96px -44px;
}
.react-tel-input .ge {
  background-position: -112px -44px;
}
.react-tel-input .gf {
  background-position: -128px -44px;
}
.react-tel-input .gh {
  background-position: -144px -44px;
}
.react-tel-input .gi {
  background-position: -160px -44px;
}
.react-tel-input .gl {
  background-position: -176px -44px;
}
.react-tel-input .gm {
  background-position: -192px -44px;
}
.react-tel-input .gn {
  background-position: -208px -44px;
}
.react-tel-input .gp {
  background-position: -224px -44px;
}
.react-tel-input .gq {
  background-position: -240px -44px;
}
.react-tel-input .gr {
  background-position: 0 -55px;
}
.react-tel-input .gt {
  background-position: -16px -55px;
}
.react-tel-input .gu {
  background-position: -32px -55px;
}
.react-tel-input .gw {
  background-position: -48px -55px;
}
.react-tel-input .gy {
  background-position: -64px -55px;
}
.react-tel-input .hk {
  background-position: -80px -55px;
}
.react-tel-input .hn {
  background-position: -96px -55px;
}
.react-tel-input .hr {
  background-position: -112px -55px;
}
.react-tel-input .ht {
  background-position: -128px -55px;
}
.react-tel-input .hu {
  background-position: -144px -55px;
}
.react-tel-input .id {
  background-position: -160px -55px;
}
.react-tel-input .ie {
  background-position: -176px -55px;
}
.react-tel-input .il {
  background-position: -192px -55px;
}
.react-tel-input .in {
  background-position: -208px -55px;
}
.react-tel-input .io {
  background-position: -224px -55px;
}
.react-tel-input .iq {
  background-position: -240px -55px;
}
.react-tel-input .ir {
  background-position: 0 -66px;
}
.react-tel-input .is {
  background-position: -16px -66px;
}
.react-tel-input .it {
  background-position: -32px -66px;
}
.react-tel-input .je {
  background-position: -144px -154px;
}
.react-tel-input .jm {
  background-position: -48px -66px;
}
.react-tel-input .jo {
  background-position: -64px -66px;
}
.react-tel-input .jp {
  background-position: -80px -66px;
}
.react-tel-input .ke {
  background-position: -96px -66px;
}
.react-tel-input .kg {
  background-position: -112px -66px;
}
.react-tel-input .kh {
  background-position: -128px -66px;
}
.react-tel-input .ki {
  background-position: -144px -66px;
}
.react-tel-input .xk {
  background-position: -128px -154px;
}
.react-tel-input .km {
  background-position: -160px -66px;
}
.react-tel-input .kn {
  background-position: -176px -66px;
}
.react-tel-input .kp {
  background-position: -192px -66px;
}
.react-tel-input .kr {
  background-position: -208px -66px;
}
.react-tel-input .kw {
  background-position: -224px -66px;
}
.react-tel-input .ky {
  background-position: -240px -66px;
}
.react-tel-input .kz {
  background-position: 0 -77px;
}
.react-tel-input .la {
  background-position: -16px -77px;
}
.react-tel-input .lb {
  background-position: -32px -77px;
}
.react-tel-input .lc {
  background-position: -48px -77px;
}
.react-tel-input .li {
  background-position: -64px -77px;
}
.react-tel-input .lk {
  background-position: -80px -77px;
}
.react-tel-input .lr {
  background-position: -96px -77px;
}
.react-tel-input .ls {
  background-position: -112px -77px;
}
.react-tel-input .lt {
  background-position: -128px -77px;
}
.react-tel-input .lu {
  background-position: -144px -77px;
}
.react-tel-input .lv {
  background-position: -160px -77px;
}
.react-tel-input .ly {
  background-position: -176px -77px;
}
.react-tel-input .ma {
  background-position: -192px -77px;
}
.react-tel-input .mc {
  background-position: -208px -77px;
}
.react-tel-input .md {
  background-position: -224px -77px;
}
.react-tel-input .me {
  background-position: -112px -154px;
  height: 12px;
}
.react-tel-input .mg {
  background-position: 0 -88px;
}
.react-tel-input .mh {
  background-position: -16px -88px;
}
.react-tel-input .mk {
  background-position: -32px -88px;
}
.react-tel-input .ml {
  background-position: -48px -88px;
}
.react-tel-input .mm {
  background-position: -64px -88px;
}
.react-tel-input .mn {
  background-position: -80px -88px;
}
.react-tel-input .mo {
  background-position: -96px -88px;
}
.react-tel-input .mp {
  background-position: -112px -88px;
}
.react-tel-input .mq {
  background-position: -128px -88px;
}
.react-tel-input .mr {
  background-position: -144px -88px;
}
.react-tel-input .ms {
  background-position: -160px -88px;
}
.react-tel-input .mt {
  background-position: -176px -88px;
}
.react-tel-input .mu {
  background-position: -192px -88px;
}
.react-tel-input .mv {
  background-position: -208px -88px;
}
.react-tel-input .mw {
  background-position: -224px -88px;
}
.react-tel-input .mx {
  background-position: -240px -88px;
}
.react-tel-input .my {
  background-position: 0 -99px;
}
.react-tel-input .mz {
  background-position: -16px -99px;
}
.react-tel-input .na {
  background-position: -32px -99px;
}
.react-tel-input .nc {
  background-position: -48px -99px;
}
.react-tel-input .ne {
  background-position: -64px -99px;
}
.react-tel-input .nf {
  background-position: -80px -99px;
}
.react-tel-input .ng {
  background-position: -96px -99px;
}
.react-tel-input .ni {
  background-position: -112px -99px;
}
.react-tel-input .nl,
.react-tel-input .bq {
  background-position: -128px -99px;
}
.react-tel-input .no {
  background-position: -144px -99px;
}
.react-tel-input .np {
  background-position: -160px -99px;
}
.react-tel-input .nr {
  background-position: -176px -99px;
}
.react-tel-input .nu {
  background-position: -192px -99px;
}
.react-tel-input .nz {
  background-position: -208px -99px;
}
.react-tel-input .om {
  background-position: -224px -99px;
}
.react-tel-input .pa {
  background-position: -240px -99px;
}
.react-tel-input .pe {
  background-position: 0 -110px;
}
.react-tel-input .pf {
  background-position: -16px -110px;
}
.react-tel-input .pg {
  background-position: -32px -110px;
}
.react-tel-input .ph {
  background-position: -48px -110px;
}
.react-tel-input .pk {
  background-position: -64px -110px;
}
.react-tel-input .pl {
  background-position: -80px -110px;
}
.react-tel-input .pm {
  background-position: -96px -110px;
}
.react-tel-input .pr {
  background-position: -112px -110px;
}
.react-tel-input .ps {
  background-position: -128px -110px;
}
.react-tel-input .pt {
  background-position: -144px -110px;
}
.react-tel-input .pw {
  background-position: -160px -110px;
}
.react-tel-input .py {
  background-position: -176px -110px;
}
.react-tel-input .qa {
  background-position: -192px -110px;
}
.react-tel-input .re {
  background-position: -208px -110px;
}
.react-tel-input .ro {
  background-position: -224px -110px;
}
.react-tel-input .rs {
  background-position: -240px -110px;
}
.react-tel-input .ru {
  background-position: 0 -121px;
}
.react-tel-input .rw {
  background-position: -16px -121px;
}
.react-tel-input .sa {
  background-position: -32px -121px;
}
.react-tel-input .sb {
  background-position: -48px -121px;
}
.react-tel-input .sc {
  background-position: -64px -121px;
}
.react-tel-input .sd {
  background-position: -80px -121px;
}
.react-tel-input .se {
  background-position: -96px -121px;
}
.react-tel-input .sg {
  background-position: -112px -121px;
}
.react-tel-input .sh {
  background-position: -128px -121px;
}
.react-tel-input .si {
  background-position: -144px -121px;
}
.react-tel-input .sk {
  background-position: -160px -121px;
}
.react-tel-input .sl {
  background-position: -176px -121px;
}
.react-tel-input .sm {
  background-position: -192px -121px;
}
.react-tel-input .sn {
  background-position: -208px -121px;
}
.react-tel-input .so {
  background-position: -224px -121px;
}
.react-tel-input .sr {
  background-position: -240px -121px;
}
.react-tel-input .ss {
  background-position: 0 -132px;
}
.react-tel-input .st {
  background-position: -16px -132px;
}
.react-tel-input .sv {
  background-position: -32px -132px;
}
.react-tel-input .sx {
  background-position: -48px -132px;
}
.react-tel-input .sy {
  background-position: -64px -132px;
}
.react-tel-input .sz {
  background-position: -80px -132px;
}
.react-tel-input .tc {
  background-position: -96px -132px;
}
.react-tel-input .td {
  background-position: -112px -132px;
}
.react-tel-input .tg {
  background-position: -128px -132px;
}
.react-tel-input .th {
  background-position: -144px -132px;
}
.react-tel-input .tj {
  background-position: -160px -132px;
}
.react-tel-input .tk {
  background-position: -176px -132px;
}
.react-tel-input .tl {
  background-position: -192px -132px;
}
.react-tel-input .tm {
  background-position: -208px -132px;
}
.react-tel-input .tn {
  background-position: -224px -132px;
}
.react-tel-input .to {
  background-position: -240px -132px;
}
.react-tel-input .tr {
  background-position: 0 -143px;
}
.react-tel-input .tt {
  background-position: -16px -143px;
}
.react-tel-input .tv {
  background-position: -32px -143px;
}
.react-tel-input .tw {
  background-position: -48px -143px;
}
.react-tel-input .tz {
  background-position: -64px -143px;
}
.react-tel-input .ua {
  background-position: -80px -143px;
}
.react-tel-input .ug {
  background-position: -96px -143px;
}
.react-tel-input .us {
  background-position: -112px -143px;
}
.react-tel-input .uy {
  background-position: -128px -143px;
}
.react-tel-input .uz {
  background-position: -144px -143px;
}
.react-tel-input .va {
  background-position: -160px -143px;
}
.react-tel-input .vc {
  background-position: -176px -143px;
}
.react-tel-input .ve {
  background-position: -192px -143px;
}
.react-tel-input .vg {
  background-position: -208px -143px;
}
.react-tel-input .vi {
  background-position: -224px -143px;
}
.react-tel-input .vn {
  background-position: -240px -143px;
}
.react-tel-input .vu {
  background-position: 0 -154px;
}
.react-tel-input .wf {
  background-position: -16px -154px;
}
.react-tel-input .ws {
  background-position: -32px -154px;
}
.react-tel-input .ye {
  background-position: -48px -154px;
}
.react-tel-input .za {
  background-position: -64px -154px;
}
.react-tel-input .zm {
  background-position: -80px -154px;
}
.react-tel-input .zw {
  background-position: -96px -154px;
}
.react-tel-input * {
  box-sizing: border-box;
  -moz-box-sizing: border-box;
}
.react-tel-input .hide {
  display: none;
}
.react-tel-input .v-hide {
  visibility: hidden;
}
.react-tel-input .form-control {
  position: relative;
  font-size: 14px;
  letter-spacing: 0.01rem;
  margin-top: 0 !important;
  margin-bottom: 0 !important;
  padding-left: 48px;
  margin-left: 0;
  background: #ffffff;
  border: 1px solid #cacaca;
  border-radius: 5px;
  line-height: 25px;
  height: 35px;
  width: 300px;
  outline: none;
}
.react-tel-input .form-control.invalid-number {
  border: 1px solid #d79f9f;
  background-color: #faf0f0;
  border-left-color: #cacaca;
}
.react-tel-input .form-control.invalid-number:focus {
  border: 1px solid #d79f9f;
  border-left-color: #cacaca;
  background-color: #faf0f0;
}
.react-tel-input .flag-dropdown {
  position: absolute;
  top: 0;
  bottom: 0;
  padding: 0;
  background-color: #f5f5f5;
  border: 1px solid #cacaca;
  border-radius: 3px 0 0 3px;
}
.react-tel-input .flag-dropdown:hover,
.react-tel-input .flag-dropdown:focus {
  cursor: pointer;
}
.react-tel-input .flag-dropdown.invalid-number {
  border-color: #d79f9f;
}
.react-tel-input .flag-dropdown.open {
  z-index: 2;
  background: #fff;
  border-radius: 3px 0 0 0;
}
.react-tel-input .flag-dropdown.open .selected-flag {
  background: #fff;
  border-radius: 3px 0 0 0;
}
.react-tel-input input[disabled] + .flag-dropdown:hover {
  cursor: default;
}
.react-tel-input input[disabled] + .flag-dropdown:hover .selected-flag {
  background-color: transparent;
}
.react-tel-input .selected-flag {
  outline: none;
  position: relative;
  width: 38px;
  height: 100%;
  padding: 0 0 0 8px;
  border-radius: 3px 0 0 3px;
}
.react-tel-input .selected-flag:hover,
.react-tel-input .selected-flag:focus {
  background-color: #fff;
}
.react-tel-input .selected-flag .flag {
  position: absolute;
  top: 50%;
  margin-top: -5px;
}
.react-tel-input .selected-flag .arrow {
  position: relative;
  top: 50%;
  margin-top: -2px;
  left: 20px;
  width: 0;
  height: 0;
  border-left: 3px solid transparent;
  border-right: 3px solid transparent;
  border-top: 4px solid #555;
}
.react-tel-input .selected-flag .arrow.up {
  border-top: none;
  border-bottom: 4px solid #555;
}
.react-tel-input .country-list {
  outline: none;
  z-index: 1;
  list-style: none;
  position: absolute;
  padding: 0;
  margin: 10px 0 10px -1px;
  box-shadow: 1px 2px 10px rgba(0, 0, 0, 0.35);
  background-color: white;
  width: 300px;
  max-height: 200px;
  overflow-y: scroll;
  border-radius: 0 0 3px 3px;
}
.react-tel-input .country-list .flag {
  display: inline-block;
  margin-right: 7px;
  margin-top: 2px;
}
.react-tel-input .country-list .divider {
  padding-bottom: 5px;
  margin-bottom: 5px;
  border-bottom: 1px solid #ccc;
}
.react-tel-input .country-list .country {
  padding: 7px 9px;
}
.react-tel-input .country-list .country .dial-code {
  color: #6b6b6b;
}
.react-tel-input .country-list .country:hover {
  background-color: #f1f1f1;
}
.react-tel-input .country-list .country.highlight {
  background-color: #f1f1f1;
}

.react-tel-input .country-list .country-name {
  margin-right: 6px;
}
.react-tel-input .country-list .search {
  position: sticky;
  top: 0;
  background-color: #fff;
  padding: 10px 0 6px 10px;
}
.react-tel-input .country-list .search-emoji {
  font-size: 15px;
}
.react-tel-input .country-list .search-box {
  border: 1px solid #cacaca;
  border-radius: 3px;
  font-size: 15px;
  line-height: 15px;
  margin-left: 6px;
  padding: 3px 8px 5px;
  outline: none;
}
.react-tel-input .country-list .no-entries-message {
  padding: 7px 10px 11px;
  opacity: 0.7;
}
.react-tel-input .invalid-number-message {
  position: absolute;
  z-index: 1;
  font-size: 13px;
  left: 46px;
  top: -8px;
  background: #fff;
  padding: 0 2px;
  color: #de0000;
}
.react-tel-input .special-label {
  display: none;
  position: absolute;
  z-index: 1;
  font-size: 13px;
  left: 46px;
  top: -8px;
  background: #fff;
  padding: 0 2px;
  white-space: nowrap;
}

/* Active state */
.ant-menu-item-selected,
.ant-menu-submenu-selected {
  background-color: transparent !important;
  color: #000 !important;
  font-weight: 500;
  font-size: 0.7rem;
}

/* Hover state */
.ant-menu-item:hover,
.ant-menu-submenu:hover {
  background-color: transparent !important;
  color: #000 !important;
}

/* Menu item and submenu content */
.ant-menu-title-content {
  color: #000;
  font-size: 0.9rem;
  font-weight: 600;
}

.menuItem {
  color: #000;
  font-size: 0.8rem;
  font-weight: 500;
  display: flex;
  justify-content: space-between;
}

.cell-type-1 {
  width: 250px;
}

.cell-header {
  color: #fff;
  padding: 10px;

  .cell-title {
    font-size: 13px;
  }
}

.cell-body {
  background: #efefef;

  .cell-content {
    padding: 8px;
  }

  .node-options {
    display: flex;
    margin-top: 20px;

    > div {
      width: 33%;
      cursor: pointer;
      font-weight: bold;
      white-space: nowrap;
    }

    .node-option-1 {
      padding-left: 20px;
    }
  }
}

.react-flow__edgelabel-renderer {
  position: absolute;
  width: 100%;
  height: 100%;
  pointer-events: none;
  -webkit-user-select: none;
  -moz-user-select: none;
  user-select: none;
}
.react-flow__edge.updating .react-flow__edge-path {
  stroke: #777;
}
.react-flow__edge-text {
  font-size: 10px;
}
.react-flow__node.selectable:focus,
.react-flow__node.selectable:focus-visible {
  outline: none;
}
.react-flow__node-default,
.react-flow__node-input,
.react-flow__node-output,
.react-flow__node-group {
  padding: 10px;
  border-radius: 3px;
  width: 150px;
  font-size: 12px;
  color: #222;
  text-align: center;
  border-width: 1px;
  border-style: solid;
  border-color: #1a192b;
  background-color: white;
}
.react-flow__node-default.selectable:hover,
.react-flow__node-input.selectable:hover,
.react-flow__node-output.selectable:hover,
.react-flow__node-group.selectable:hover {
  box-shadow: 0 1px 4px 1px rgba(0, 0, 0, 0.08);
}
.react-flow__node-default.selectable.selected,
.react-flow__node-default.selectable:focus,
.react-flow__node-default.selectable:focus-visible,
.react-flow__node-input.selectable.selected,
.react-flow__node-input.selectable:focus,
.react-flow__node-input.selectable:focus-visible,
.react-flow__node-output.selectable.selected,
.react-flow__node-output.selectable:focus,
.react-flow__node-output.selectable:focus-visible,
.react-flow__node-group.selectable.selected,
.react-flow__node-group.selectable:focus,
.react-flow__node-group.selectable:focus-visible {
  box-shadow: 0 0 0 0.5px #1a192b;
}
.react-flow__node-group {
  background-color: rgba(240, 240, 240, 0.25);
}
.react-flow__nodesselection-rect,
.react-flow__selection {
  background: rgba(0, 89, 220, 0.08);
  border: 1px dotted rgba(0, 89, 220, 0.8);
}
.react-flow__nodesselection-rect:focus,
.react-flow__nodesselection-rect:focus-visible,
.react-flow__selection:focus,
.react-flow__selection:focus-visible {
  outline: none;
}
.react-flow__controls {
  box-shadow: 0 0 2px 1px rgba(0, 0, 0, 0.08);
}
.react-flow__controls-button {
  border: none;
  background: #fefefe;
  border-bottom: 1px solid #eee;
  box-sizing: content-box;
  display: flex;
  justify-content: center;
  align-items: center;
  width: 16px;
  height: 16px;
  cursor: pointer;
  -webkit-user-select: none;
  -moz-user-select: none;
  user-select: none;
  padding: 5px;
}
.react-flow__controls-button:hover {
  background: #f4f4f4;
}
.react-flow__controls-button svg {
  width: 100%;
  max-width: 12px;
  max-height: 12px;
}
.react-flow__controls-button:disabled {
  pointer-events: none;
}
.react-flow__controls-button:disabled svg {
  fill-opacity: 0.4;
}
.react-flow__minimap {
  background-color: #fff;
}
.react-flow__resize-control {
  position: absolute;
}
.react-flow__resize-control.left,
.react-flow__resize-control.right {
  cursor: ew-resize;
}
.react-flow__resize-control.top,
.react-flow__resize-control.bottom {
  cursor: ns-resize;
}
.react-flow__resize-control.top.left,
.react-flow__resize-control.bottom.right {
  cursor: nwse-resize;
}
.react-flow__resize-control.bottom.left,
.react-flow__resize-control.top.right {
  cursor: nesw-resize;
}
/* handle styles */
.react-flow__resize-control.handle {
  width: 4px;
  height: 4px;
  border: 1px solid #fff;
  border-radius: 1px;
  background-color: #3367d9;
  transform: translate(-50%, -50%);
}
.react-flow__resize-control.handle.left {
  left: 0;
  top: 50%;
}
.react-flow__resize-control.handle.right {
  left: 100%;
  top: 50%;
}
.react-flow__resize-control.handle.top {
  left: 50%;
  top: 0;
}
.react-flow__resize-control.handle.bottom {
  left: 50%;
  top: 100%;
}
.react-flow__resize-control.handle.top.left {
  left: 0;
}
.react-flow__resize-control.handle.bottom.left {
  left: 0;
}
.react-flow__resize-control.handle.top.right {
  left: 100%;
}
.react-flow__resize-control.handle.bottom.right {
  left: 100%;
}
/* line styles */
.react-flow__resize-control.line {
  border-color: #3367d9;
  border-width: 0;
  border-style: solid;
}
.react-flow__resize-control.line.left,
.react-flow__resize-control.line.right {
  width: 1px;
  transform: translate(-50%, 0);
  top: 0;
  height: 100%;
}
.react-flow__resize-control.line.left {
  left: 0;
  border-left-width: 1px;
}
.react-flow__resize-control.line.right {
  left: 100%;
  border-right-width: 1px;
}
.react-flow__resize-control.line.top,
.react-flow__resize-control.line.bottom {
  height: 1px;
  transform: translate(0, -50%);
  left: 0;
  width: 100%;
}
.react-flow__resize-control.line.top {
  top: 0;
  border-top-width: 1px;
}
.react-flow__resize-control.line.bottom {
  border-bottom-width: 1px;
  top: 100%;
}
.edgebutton {
  width: 20px;
  height: 20px;
  background: #ddd;
  border: 1px solid #fff;
  cursor: pointer;
  border-radius: 50%;
  font-size: 12px;
  line-height: 1;
}

.edgebutton:hover {
  box-shadow: 0 0 6px 2px rgba(0, 0, 0, 0.08);
}

.edgebutton-foreignobject div {
  background: transparent;
  width: 40px;
  height: 40px;
  display: flex;
  justify-content: center;
  align-items: center;
  min-height: 40px;
}
.react-flow__container {
  position: absolute;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
}
.react-flow__pane {
  z-index: 1;
  cursor: -webkit-grab;
  cursor: grab;
}
.react-flow__pane.selection {
  cursor: pointer;
}
.react-flow__pane.dragging {
  cursor: -webkit-grabbing;
  cursor: grabbing;
}
.react-flow__viewport {
  transform-origin: 0 0;
  z-index: 2;
  pointer-events: none;
}
.react-flow__renderer {
  z-index: 4;
}
.react-flow__selection {
  z-index: 6;
}
.react-flow__nodesselection-rect:focus,
.react-flow__nodesselection-rect:focus-visible {
  outline: none;
}
.react-flow .react-flow__edges {
  pointer-events: none;
  overflow: visible;
}
.react-flow__edge-path,
.react-flow__connection-path {
  stroke: #b1b1b7;
  stroke-width: 1;
  fill: none;
}
.react-flow__edge {
  pointer-events: visibleStroke;
  cursor: pointer;
}
.react-flow__edge.animated path {
  stroke-dasharray: 5;
  -webkit-animation: dashdraw 0.5s linear infinite;
  animation: dashdraw 0.5s linear infinite;
}
.react-flow__edge.animated path.react-flow__edge-interaction {
  stroke-dasharray: none;
  -webkit-animation: none;
  animation: none;
}
.react-flow__edge.inactive {
  pointer-events: none;
}
.react-flow__edge.selected,
.react-flow__edge:focus,
.react-flow__edge:focus-visible {
  outline: none;
}
.react-flow__edge.selected .react-flow__edge-path,
.react-flow__edge:focus .react-flow__edge-path,
.react-flow__edge:focus-visible .react-flow__edge-path {
  stroke: #555;
}
.react-flow__edge-textwrapper {
  pointer-events: all;
}
.react-flow__edge-textbg {
  fill: white;
}
.react-flow__edge .react-flow__edge-text {
  pointer-events: none;
  -webkit-user-select: none;
  -moz-user-select: none;
  user-select: none;
}
.react-flow__connection {
  pointer-events: none;
}
.react-flow__connection .animated {
  stroke-dasharray: 5;
  -webkit-animation: dashdraw 0.5s linear infinite;
  animation: dashdraw 0.5s linear infinite;
}
.react-flow__connectionline {
  z-index: 1001;
}
.react-flow__nodes {
  pointer-events: none;
  transform-origin: 0 0;
}
.react-flow__node {
  position: absolute;
  -webkit-user-select: none;
  -moz-user-select: none;
  user-select: none;
  pointer-events: all;
  transform-origin: 0 0;
  box-sizing: border-box;
  cursor: -webkit-grab;
  cursor: grab;
}
.react-flow__node.dragging {
  cursor: -webkit-grabbing;
  cursor: grabbing;
}
.react-flow__nodesselection {
  z-index: 3;
  transform-origin: left top;
  pointer-events: none;
}
.react-flow__nodesselection-rect {
  position: absolute;
  pointer-events: all;
  cursor: -webkit-grab;
  cursor: grab;
}
.react-flow__handle {
  position: absolute;
  pointer-events: none;
  min-width: 5px;
  min-height: 5px;
  width: 6px;
  height: 6px;
  background: #1a192b;
  border: 1px solid white;
  border-radius: 100%;
}
.react-flow__handle.connectionindicator {
  pointer-events: all;
  cursor: crosshair;
}
.react-flow__handle-bottom {
  top: auto;
  left: 50%;
  bottom: -4px;
  transform: translate(-50%, 0);
}
.react-flow__handle-top {
  left: 50%;
  top: -4px;
  transform: translate(-50%, 0);
}
.react-flow__handle-left {
  top: 50%;
  left: -4px;
  transform: translate(0, -50%);
}
.react-flow__handle-right {
  right: -4px;
  top: 50%;
  transform: translate(0, -50%);
}
.react-flow__edgeupdater {
  cursor: move;
  pointer-events: all;
}
.react-flow__panel {
  position: absolute;
  z-index: 5;
  margin: 15px;
}
.react-flow__panel.top {
  top: 0;
}
.react-flow__panel.bottom {
  bottom: 0;
}
.react-flow__panel.left {
  left: 0;
}
.react-flow__panel.right {
  right: 0;
}
.react-flow__panel.center {
  left: 50%;
  transform: translateX(-50%);
}
.react-flow__attribution {
  font-size: 10px;
  background: rgba(255, 255, 255, 0.5);
  padding: 2px 3px;
  margin: 0;
}
.react-flow__attribution a {
  text-decoration: none;
  color: #999;
}
@-webkit-keyframes dashdraw {
  from {
    stroke-dashoffset: 10;
  }
}
@keyframes dashdraw {
  from {
    stroke-dashoffset: 10;
  }
}
